PHP Manual
Prev |  | Next

# error_get_last

(no version information, might be only in CVS)

error_get_last -- Get the last occurred error

## Description

array error_get_last ( void )

Gets information about the last error that occured.

## Return Values

Returns an associative array describing the last error with keys "type", "message", "file" and "line". Returns `NULL` if there hasn't been an error yet.

## Examples

Example 1. An error_get_last() example

`<?php echo $a; print_r(error_get_last()); ?>`

The above example will output something similar to:

    Array
    (
        [type] => 8
        [message] => Undefined variable: a
        [file] => C:\WWW\index.php
        [line] => 2
    )

## See Also

Error constants
Variable `$php_errormsg`
Directive `display_errors`

Prev | Home | Next
debug_print_backtrace | Up | error_log